## ros-jazzy-moveit-planners-ompl 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-planners-ompl (2.10.0-2bookworm) bookworm; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Do not overwrite the error code with OMPL interface (#2725 <https://github.com/moveit/moveit2/issues/2725>)
    In case of failure, set the error code to the one returned by the
    planning pipeline's solve method rather than overwriting it with
    PLANNING_FAILED.
  * Set planner_id in reponses with OMPL interface (#2724 <https://github.com/moveit/moveit2/issues/2724>)
    This avoids a warning PlanningPipeline::generatePlan().
    Co-authored-by: Gaël Écorchard <mailto:gael@km-robotics.cz>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Gaël Écorchard, Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-planners-ompl (2.9.0-2bookworm) bookworm; urgency=high

  * Handle unsupported position constraints in OMPL (#2417 <https://github.com/ros-planning/moveit2/issues/2417>)
    * Handle unsupported position constraints in OMPL
    OMPL constrained planning assumes that all position constraints have three
    dimensions, meaning that they are represented by a BOX bounding volume.
    If another shape is used (like a SPHERE from moveit_core/kinematic_constraints/utils.hpp),
    the constraint adapter implementation will produce a segfault because of
    the lack of dimensions. This fix prevents this by checking for the
    required BOX type.
    * Add warning if more than one position primitive is used
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Invoke OMPL debug print only when debug logging is enabled (#2608 <https://github.com/ros-planning/moveit2/issues/2608>)
  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Do not pass and return simple types by const ref (#2453 <https://github.com/ros-planning/moveit2/issues/2453>)
    Co-authored-by: Nils <mailto:nilsmailiseke@gmail.com>
  * Update pre-commit and add to .codespell_words (#2465 <https://github.com/ros-planning/moveit2/issues/2465>)
  * Map ompl's APPROXIMATE_SOLUTION -> TIMED_OUT / PLANNING_FAILED (#2455 <https://github.com/ros-planning/moveit2/issues/2455>)
    ompl's APPROXIMATE_SOLUTION is not suitable for actual execution. It just states that we got closer to the goal...
    The most prominent reason for an approximate solution is a timeout. Thus, return TIMED_OUT and print the used timeouts for convenience.
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Converts float to double (#2343 <https://github.com/ros-planning/moveit2/issues/2343>)
    * Limiting the scope of variables #874 <https://github.com/ros-planning/moveit2/issues/874>
    Limited the scope of variables in moveit_core/collision_detection
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * convert float to double
    * change double to float
    * Feedback fixes
    * Introduced variables removed from previous merge commit
    * Updated GL_Renderer function definitions with double instead of float
    * Changed update() function arguments to float since it is a derived virtual function and needs to be overriden
    * Fixed all override errors in visualization
    * *Fixed override errors in perception
    *Changed reinterpret_cast to double* from float*
    * change variable types to fit function definition
    * Fixed clang-tidy warnings
    * Fixed scope of reusable variables
    ---------
    Co-authored-by: Salah Soliman <mailto:salahsoliman96@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Henning Kayser, Igor Medvedev, Marq Rasmussen, Robert Haschke, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-planners-ompl (2.8.0-2bookworm) bookworm; urgency=high

  * Fix typo in model_based_planning_context.h (#2243 <https://github.com/ros-planning/moveit2/issues/2243>)
  * Warn if optimization objective does not match expected values (#2213 <https://github.com/ros-planning/moveit2/issues/2213>)
    * Warn if optimization objective does not match expected values
    * Update moveit_planners/ompl/ompl_interface/src/model_based_planning_context.cpp
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    * Format
    ---------
  * Contributors: Stephanie Eng


